import request from '@/utils/request'

// 查询通报处罚信息列表
export function listPenalty(query) {
    return request({
        url: '/crmAnnouncementPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询通报处罚信息详细
export function getPenalty(id) {
    return request({
        url: '/crmAnnouncementPenalty/' + id,
        method: 'get'
    })
}

// 新增通报处罚信息
export function addPenalty(data) {
    return request({
        url: '/crmAnnouncementPenalty',
        method: 'post',
        data: data
    })
}

// 修改通报处罚信息
export function updatePenalty(data) {
    return request({
        url: '/crmAnnouncementPenalty',
        method: 'put',
        data: data
    })
}

// 删除通报处罚信息
export function delPenalty(id) {
    return request({
        url: '/crmAnnouncementPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmAnnouncementPenalty/delete',ids)
}